# ipfs diagnostics

Usage:
```sh
ipfs diag net [--vis=<vis>]
```


## view in d3

Install https://github.com/jbenet/ipfs-diag-net-d3-vis then:

```
> ipfs diag net --vis=d3 | d3view
http://ipfs.benet.ai:8080/ipfs/QmX8PuUyhSet8fppZHuRNxG7vk949z7XDxnsAz3zN77MGx#QmdhRqGea2QEzyKHG9Zhkc12d2994iah1h47tfHJifuzhT
```
